about summary refs log tree commit diff
path: root/users/wpcarro/configs/.gnupg/export.sh
diff options
context:
space:
mode:
Diffstat (limited to 'users/wpcarro/configs/.gnupg/export.sh')
-rwxr-xr-xusers/wpcarro/configs/.gnupg/export.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/users/wpcarro/configs/.gnupg/export.sh b/users/wpcarro/configs/.gnupg/export.sh
new file mode 100755
index 0000000000..571689773b
--- /dev/null
+++ b/users/wpcarro/configs/.gnupg/export.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+set -e
+
+# Run this script to export all the information required to transport your GPG
+# information.
+# Usage: ./export.sh [directory]
+# TODO: run this periodically as a job.
+
+destination="${1:-$(mktemp -d)}"
+
+if [ ! -d "$destination" ]; then
+  echo "$destination does not exist. Creating it..."
+  mkdir -p "$destination"
+fi
+
+gpg --armor --export >"$destination/public.asc"
+gpg --armor --export-secret-keys >"$destination/secret.asc"
+gpg --armor --export-ownertrust >"$destination/ownertrust.txt"
+
+echo $(realpath "$destination")